## qtmobilehotspot 0.3.1

=== Makefile ===
#############################################################################
# Makefile for building: qtmobilehotspot
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 28 20:08:09 2011
# Project:  qtmobilehotspot.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile qtmobilehotspot.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-qtMobileHotspot \
		sub-qtmhDummy \
		sub-qtmhIptablesFix \
		sub-qtmhMacFilter \
		sub-qtmhPrivoxy

qtMobileHotspot/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qtMobileHotspot/ || $(MKDIR) qtMobileHotspot/ 
	cd qtMobileHotspot/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtMobileHotspot/qtMobileHotspot.pro -o $(MAKEFILE)
sub-qtMobileHotspot-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qtMobileHotspot/ || $(MKDIR) qtMobileHotspot/ 
	cd qtMobileHotspot/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtMobileHotspot/qtMobileHotspot.pro -o $(MAKEFILE)
sub-qtMobileHotspot: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE)
sub-qtMobileHotspot-make_default: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) 
sub-qtMobileHotspot-make_first: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) first
sub-qtMobileHotspot-all: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) all
sub-qtMobileHotspot-clean: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) clean
sub-qtMobileHotspot-distclean: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qtMobileHotspot-install_subtargets: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) install
sub-qtMobileHotspot-uninstall_subtargets: qtMobileHotspot/$(MAKEFILE) FORCE
	cd qtMobileHotspot/ && $(MAKE) -f $(MAKEFILE) uninstall
qtmhDummy/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qtmhDummy/ || $(MKDIR) qtmhDummy/ 
	cd qtmhDummy/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhDummy/qtmhDummy.pro -o $(MAKEFILE)
sub-qtmhDummy-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qtmhDummy/ || $(MKDIR) qtmhDummy/ 
	cd qtmhDummy/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhDummy/qtmhDummy.pro -o $(MAKEFILE)
sub-qtmhDummy: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE)
sub-qtmhDummy-make_default: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) 
sub-qtmhDummy-make_first: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) first
sub-qtmhDummy-all: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) all
sub-qtmhDummy-clean: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) clean
sub-qtmhDummy-distclean: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qtmhDummy-install_subtargets: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) install
sub-qtmhDummy-uninstall_subtargets: qtmhDummy/$(MAKEFILE) FORCE
	cd qtmhDummy/ && $(MAKE) -f $(MAKEFILE) uninstall
qtmhIptablesFix/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qtmhIptablesFix/ || $(MKDIR) qtmhIptablesFix/ 
	cd qtmhIptablesFix/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhIptablesFix/qtmhIptablesFix.pro -o $(MAKEFILE)
sub-qtmhIptablesFix-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qtmhIptablesFix/ || $(MKDIR) qtmhIptablesFix/ 
	cd qtmhIptablesFix/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhIptablesFix/qtmhIptablesFix.pro -o $(MAKEFILE)
sub-qtmhIptablesFix: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE)
sub-qtmhIptablesFix-make_default: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) 
sub-qtmhIptablesFix-make_first: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) first
sub-qtmhIptablesFix-all: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) all
sub-qtmhIptablesFix-clean: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) clean
sub-qtmhIptablesFix-distclean: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qtmhIptablesFix-install_subtargets: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) install
sub-qtmhIptablesFix-uninstall_subtargets: qtmhIptablesFix/$(MAKEFILE) FORCE
	cd qtmhIptablesFix/ && $(MAKE) -f $(MAKEFILE) uninstall
qtmhMacFilter/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qtmhMacFilter/ || $(MKDIR) qtmhMacFilter/ 
	cd qtmhMacFilter/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhMacFilter/qtmhMacFilter.pro -o $(MAKEFILE)
sub-qtmhMacFilter-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qtmhMacFilter/ || $(MKDIR) qtmhMacFilter/ 
	cd qtmhMacFilter/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhMacFilter/qtmhMacFilter.pro -o $(MAKEFILE)
sub-qtmhMacFilter: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE)
sub-qtmhMacFilter-make_default: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) 
sub-qtmhMacFilter-make_first: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) first
sub-qtmhMacFilter-all: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) all
sub-qtmhMacFilter-clean: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) clean
sub-qtmhMacFilter-distclean: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qtmhMacFilter-install_subtargets: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) install
sub-qtmhMacFilter-uninstall_subtargets: qtmhMacFilter/$(MAKEFILE) FORCE
	cd qtmhMacFilter/ && $(MAKE) -f $(MAKEFILE) uninstall
qtmhPrivoxy/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) qtmhPrivoxy/ || $(MKDIR) qtmhPrivoxy/ 
	cd qtmhPrivoxy/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhPrivoxy/qtmhPrivoxy.pro -o $(MAKEFILE)
sub-qtmhPrivoxy-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) qtmhPrivoxy/ || $(MKDIR) qtmhPrivoxy/ 
	cd qtmhPrivoxy/ && $(QMAKE) /home/dest/workspace/qtmobilehotspot/qtmhPrivoxy/qtmhPrivoxy.pro -o $(MAKEFILE)
sub-qtmhPrivoxy: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE)
sub-qtmhPrivoxy-make_default: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) 
sub-qtmhPrivoxy-make_first: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) first
sub-qtmhPrivoxy-all: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) all
sub-qtmhPrivoxy-clean: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) clean
sub-qtmhPrivoxy-distclean: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) distclean
sub-qtmhPrivoxy-install_subtargets: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) install
sub-qtmhPrivoxy-uninstall_subtargets: qtmhPrivoxy/$(MAKEFILE) FORCE
	cd qtmhPrivoxy/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtmobilehotspot.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile qtmobilehotspot.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile qtmobilehotspot.pro

qmake_all: sub-qtMobileHotspot-qmake_all sub-qtmhDummy-qmake_all sub-qtmhIptablesFix-qmake_all sub-qtmhMacFilter-qmake_all sub-qtmhPrivoxy-qmake_all FORCE

make_default: sub-qtMobileHotspot-make_default sub-qtmhDummy-make_default sub-qtmhIptablesFix-make_default sub-qtmhMacFilter-make_default sub-qtmhPrivoxy-make_default FORCE
make_first: sub-qtMobileHotspot-make_first sub-qtmhDummy-make_first sub-qtmhIptablesFix-make_first sub-qtmhMacFilter-make_first sub-qtmhPrivoxy-make_first FORCE
all: sub-qtMobileHotspot-all sub-qtmhDummy-all sub-qtmhIptablesFix-all sub-qtmhMacFilter-all sub-qtmhPrivoxy-all FORCE
clean: sub-qtMobileHotspot-clean sub-qtmhDummy-clean sub-qtmhIptablesFix-clean sub-qtmhMacFilter-clean sub-qtmhPrivoxy-clean FORCE
distclean: sub-qtMobileHotspot-distclean sub-qtmhDummy-distclean sub-qtmhIptablesFix-distclean sub-qtmhMacFilter-distclean sub-qtmhPrivoxy-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-qtMobileHotspot-install_subtargets sub-qtmhDummy-install_subtargets sub-qtmhIptablesFix-install_subtargets sub-qtmhMacFilter-install_subtargets sub-qtmhPrivoxy-install_subtargets FORCE
uninstall_subtargets: sub-qtMobileHotspot-uninstall_subtargets sub-qtmhDummy-uninstall_subtargets sub-qtmhIptablesFix-uninstall_subtargets sub-qtmhMacFilter-uninstall_subtargets sub-qtmhPrivoxy-uninstall_subtargets FORCE

sub-qtMobileHotspot-check: qtMobileHotspot/$(MAKEFILE)
	cd qtMobileHotspot/ && $(MAKE) check
sub-qtmhDummy-check: qtmhDummy/$(MAKEFILE)
	cd qtmhDummy/ && $(MAKE) check
sub-qtmhIptablesFix-check: qtmhIptablesFix/$(MAKEFILE)

=== qtMobileHotspot/Makefile ===
#############################################################################
# Makefile for building: ../build/qtmobilehotspot
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Sep 25 20:47:42 2011
# Project:  qtMobileHotspot.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile qtMobileHotspot.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/main.cpp \
		src/mobilehotspotgui.cpp \
		src/accesspointgui.cpp \
		src/internetaccessgui.cpp \
		src/mobilehotspotconfiguration.cpp \
		src/commandhelper.cpp \
		src/dbushelper.cpp \
		src/apnhelper.cpp \
		src/hotspothelper.cpp \
		src/mobilehotspotpluginhelper.cpp src/.tmp/moc_mobilehotspotgui.cpp \
		src/.tmp/moc_accesspointgui.cpp \
		src/.tmp/moc_internetaccessgui.cpp \
		src/.tmp/moc_mobilehotspotconfiguration.cpp
OBJECTS       = build/main.o \
		build/mobilehotspotgui.o \
		build/accesspointgui.o \
		build/internetaccessgui.o \
		build/mobilehotspotconfiguration.o \
		build/commandhelper.o \
		build/dbushelper.o \
		build/apnhelper.o \
		build/hotspothelper.o \
		build/mobilehotspotpluginhelper.o \
		build/moc_mobilehotspotgui.o \
		build/moc_accesspointgui.o \
		build/moc_internetaccessgui.o \
		build/moc_mobilehotspotconfiguration.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtMobileHotspot.pro
QMAKE_TARGET  = qtmobilehotspot
DESTDIR       = ../build/
TARGET        = ../build/qtmobilehotspot

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): src/ui_mobilehotspotgui.h src/ui_accesspointgui.h src/ui_internetaccessgui.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../build/ || $(MKDIR) ../build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtMobileHotspot.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -o Makefile qtMobileHotspot.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtMobileHotspot.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmobilehotspot0.3.1 || $(MKDIR) build/qtmobilehotspot0.3.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmobilehotspot0.3.1/ && $(COPY_FILE) --parents src/mobilehotspotgui.h src/ui_mobilehotspotgui.h src/accesspointgui.h src/ui_accesspointgui.h src/internetaccessgui.h src/ui_internetaccessgui.h src/mobilehotspotconfiguration.h src/commandhelper.h src/dbushelper.h src/apnhelper.h src/hotspothelper.h src/mobilehotspotplugin.h src/mobilehotspotpluginhelper.h build/qtmobilehotspot0.3.1/ && $(COPY_FILE) --parents src/main.cpp src/mobilehotspotgui.cpp src/accesspointgui.cpp src/internetaccessgui.cpp src/mobilehotspotconfiguration.cpp src/commandhelper.cpp src/dbushelper.cpp src/apnhelper.cpp src/hotspothelper.cpp src/mobilehotspotpluginhelper.cpp build/qtmobilehotspot0.3.1/ && $(COPY_FILE) --parents src/mobilehotspotgui.ui src/accesspointgui.ui src/internetaccessgui.ui build/qtmobilehotspot0.3.1/ && $(COPY_FILE) --parents fr.ts build/qtmobilehotspot0.3.1/ && (cd `dirname build/qtmobilehotspot0.3.1` && $(TAR) qtmobilehotspot0.3.1.tar qtmobilehotspot0.3.1 && $(COMPRESS) qtmobilehotspot0.3.1.tar) && $(MOVE) `dirname build/qtmobilehotspot0.3.1`/qtmobilehotspot0.3.1.tar.gz . && $(DEL_FILE) -r build/qtmobilehotspot0.3.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../build/qtmobilehotspot
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotgui.cpp src/.tmp/moc_accesspointgui.cpp src/.tmp/moc_internetaccessgui.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotgui.cpp src/.tmp/moc_accesspointgui.cpp src/.tmp/moc_internetaccessgui.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp
src/.tmp/moc_mobilehotspotgui.cpp: src/dbushelper.h \
		src/mobilehotspotconfiguration.h \
		src/mobilehotspotplugin.h \
		src/ui_mobilehotspotgui.h \
		src/mobilehotspotgui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/mobilehotspotgui.h -o src/.tmp/moc_mobilehotspotgui.cpp

src/.tmp/moc_accesspointgui.cpp: src/mobilehotspotconfiguration.h \
		src/ui_accesspointgui.h \
		src/accesspointgui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/accesspointgui.h -o src/.tmp/moc_accesspointgui.cpp

src/.tmp/moc_internetaccessgui.cpp: src/mobilehotspotconfiguration.h \
		src/ui_internetaccessgui.h \
		src/internetaccessgui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/internetaccessgui.h -o src/.tmp/moc_internetaccessgui.cpp

src/.tmp/moc_mobilehotspotconfiguration.cpp: src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:

=== qtmhPrivoxy/Makefile ===
#############################################################################
# Makefile for building: libqtmhprivoxy.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 28 23:39:00 2011
# Project:  qtmhPrivoxy.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile qtmhPrivoxy.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../qtMobileHotspot/src/mobilehotspotpluginhelper.cpp \
		../qtMobileHotspot/src/mobilehotspotconfiguration.cpp \
		../qtMobileHotspot/src/commandhelper.cpp \
		../qtMobileHotspot/src/dbushelper.cpp \
		src/plugin.cpp \
		src/pluginconfiguration.cpp \
		src/plugingui.cpp \
		src/privoxyhelper.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp \
		src/.tmp/moc_plugin.cpp \
		src/.tmp/moc_plugingui.cpp
OBJECTS       = build/mobilehotspotpluginhelper.o \
		build/mobilehotspotconfiguration.o \
		build/commandhelper.o \
		build/dbushelper.o \
		build/plugin.o \
		build/pluginconfiguration.o \
		build/plugingui.o \
		build/privoxyhelper.o \
		build/moc_mobilehotspotconfiguration.o \
		build/moc_plugin.o \
		build/moc_plugingui.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtmhPrivoxy.pro
QMAKE_TARGET  = qtmhprivoxy
DESTDIR       = ../build/plugins/
TARGET        = libqtmhprivoxy.so
TARGETD       = libqtmhprivoxy.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../build/plugins/$(TARGET)

../build/plugins/$(TARGET): src/ui_plugingui.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../build/plugins/ || $(MKDIR) ../build/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../build/plugins/



Makefile: qtmhPrivoxy.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -o Makefile qtmhPrivoxy.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtmhPrivoxy.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmhprivoxy0.1 || $(MKDIR) build/qtmhprivoxy0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents ../qtMobileHotspot/src/mobilehotspotpluginhelper.h ../qtMobileHotspot/src/mobilehotspotconfiguration.h ../qtMobileHotspot/src/mobilehotspotplugin.h ../qtMobileHotspot/src/commandhelper.h ../qtMobileHotspot/src/dbushelper.h src/plugin.h src/pluginconfiguration.h src/plugingui.h src/ui_plugingui.h src/privoxyhelper.h build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents ../qtMobileHotspot/src/mobilehotspotpluginhelper.cpp ../qtMobileHotspot/src/mobilehotspotconfiguration.cpp ../qtMobileHotspot/src/commandhelper.cpp ../qtMobileHotspot/src/dbushelper.cpp src/plugin.cpp src/pluginconfiguration.cpp src/plugingui.cpp src/privoxyhelper.cpp build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents src/plugingui.ui build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents libqtmhprivoxy-fr.ts build/qtmhprivoxy0.1/ && (cd `dirname build/qtmhprivoxy0.1` && $(TAR) qtmhprivoxy0.1.tar qtmhprivoxy0.1 && $(COMPRESS) qtmhprivoxy0.1.tar) && $(MOVE) `dirname build/qtmhprivoxy0.1`/qtmhprivoxy0.1.tar.gz . && $(DEL_FILE) -r build/qtmhprivoxy0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../build/plugins/libqtmhprivoxy.so
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
src/.tmp/moc_mobilehotspotconfiguration.cpp: ../qtMobileHotspot/src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../qtMobileHotspot/src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

src/.tmp/moc_plugin.cpp: ../qtMobileHotspot/src/mobilehotspotpluginhelper.h \
		../qtMobileHotspot/src/mobilehotspotplugin.h \
		../qtMobileHotspot/src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugin.h -o src/.tmp/moc_plugin.cpp

src/.tmp/moc_plugingui.cpp: src/ui_plugingui.h \
		src/pluginconfiguration.h \
		../qtMobileHotspot/src/mobilehotspotpluginhelper.h \
		../qtMobileHotspot/src/mobilehotspotplugin.h \
		../qtMobileHotspot/src/mobilehotspotconfiguration.h \
		src/plugingui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugingui.h -o src/.tmp/moc_plugingui.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:

=== debian/changelog ===
qtmobilehotspot (0.3.1) unstable; urgency=low

  * Update of the application
    - USB hotspot now uses the g_ether module instead of g_nokia (like Mad Developer). This should make USB networking easier
    -- In consequence the USB hotspot now requires No-mode, unlike before when it was PC-Suite
    - Added a setup-assistant for installing g_ether driver on Windows
    - Added the g_ether driver for Windows in /opt/qtmobilehotspot/docs folder and MyDocs/QtMobileHotspot-Driver (extracted from MADDE, see related wiki entry)
    - The USB interface's MAC is now fixed to a random value generated the first time qtmobilehotspot is started (it will stay even if the program is updated)
  * Plugins
    - Privoxy : util folder cleanup (moved files to util/qtmhprivoxy), added templates

 -- Loic Burtin <speedoflight@hotmail.fr>  Sun, 28 Sept 2011 23:20:30 +0200

=== debian/control ===
Source: qtmobilehotspot
Section: user/network
Priority: optional
Maintainer: Loic Burtin <speedoflight@hotmail.fr>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1 ), libgq-gconf-dev (>= 0.2-5+0m5)
Standards-Version: 3.7.2

Package: qtmobilehotspot
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, rootsh, iptables, wireless-tools, dnsmasq
XB-Maemo-Display-Name: Qt Mobile Hotspot
Description: Turn your N900 into a Wifi/USB hotspot !
 This application allows you to use your N900 as a Wifi/USB access point.
 It is based on the original MobileHotSpot, but has more configuration options and functionalities.
 .
 So far the following configurations are possible :
 * PC -> Wifi (Ad-Hoc) (Open/WEP) -> N900 -> Internet@2G/3G
 * PC -> USB (No-mode) -> N900 -> Internet@2G/3G
 * PC -> USB (No-mode) -> N900 -> Internet@Wifi
 The internet access can also be disabled, transforming the N900 into a simple local server.
 .
 .
 Warning : ONLY FOR POWER USERS ! ALSO IT IS A WORK-IN-PROGRESS !
 The power kernel is required.
 If you do not know what it is, stay away from this software.
 You should also know how to reflash your device. 
 And please : READ ALL THE NOTES BELOW.
 .
 .
 Wifi Hotspot howto :
 - Choose Wifi in the mode list
 - Go to the Wifi configuration window, and setup your AP name, encryption (5/13 length) and power-saving
 - Go to the Network configuration window, and setup your GPRS connection and 2G/3G switcher
 - Configure plugins if you wish, by taping the application title-bar
 - Start the hotspot
 - Connect your PC to your N900's Wifi network
 - Stop the hotspot when you have finished
 .
 USB Hotspot howto :
 - Windows users should first use the Windows USB Setup available by taping the application title-bar in order to install the Windows driver
 - Disconnect your N900 from your computer, ensure that it isn't in any USB mode (a reboot may be needed in some extreme cases)
 - If you plan to use a WLAN internet access, go to the Wifi configuration window and setup power-saving as you wish
 - Go to the Network configuration window, and setup your connection and 2G/3G switcher
 - Configure plugins if you wish, by taping the application title-bar
 - Start the hotspot, wait for the success notification
 - Connect your N900 to your PC
 -- Windows users : everything should be fine if the USB networking driver is installed correctly
 -- Linux users : some distros do things automatically, some do not, here are some commands in case you need them (tested on a debian squeeze, run them as root) :
 --- dmesg   # show device messages, should tell you if your device is recognized
 --- ifconfig usb0 up   # enable the usb0 network interface
 --- dhclient -1 -v usb0   # ask for an IP over the usb0 interface
 --- route   # display routes, a default one should go through the usb0 interface
 --- ping 8.8.8.8   # (or any IP address) if it does work, you are connected to the internet
 --- ifconfig usb0 down   # disable the usb0 network interface
 - When you have finished, disconnect your N900 from your PC, and stop the hotspot (it is better to respect this order)
 .
 .
 Now featuring :
 - Wifi Ad-Hoc hotspot (AP name and encryption (WEP/not-encrypted) can be changed)
 - Possibility to disable Wifi power-saving (useful for USBtoWifi hotspot, but read notes below) 
 - USB hotspot in USB No-mode (no PC-Suite, no mass-storage, this is important)
 - Easy USB networking setup for Windows (for g_ether)
 -- Setup assistant on the phone (prepare the phone and tells you what to do)
 -- Windows g_ether compatible driver is located in /opt/qtmobilehotspot/docs or QtMobileHotspot-Driver when connected in mass-storage mode (it is the one from MADDE, as told in the Wiki)
 - Enable/disable internet sharing
 - Change LAN ip (/24 network is forced, thought)
 - Automatically change of the 2G/3G enforcement at hotspot startup (it is restored at shutdown)
 - Some plugins
 -- Iptables tweaker (add your own iptables rules)
 -- MAC filter (allow/disallow MACs, may be good for keeping your little brother away from your network)
 -- Embedded Privoxy (for client user-agent editing, may help you into bypassing the user-agent-based filtering used by some phone ISPs)
 --- Privoxy configuration files can also be edited by power users
 .
 .
 -- Notes --
 * This application cannot work with the bleeding-edge wifi driver (the phone reboots when hotspot is started).
 * Having the hotspot enabled requires a lot of power. Do not undervolt your N900 too much (better, don't undervolt it at all). You should also stop the hotspot as soon as you do not need it anymore.
 * Since version 0.3.1, the application uses the g_ether module instead of g_nokia for USB hotspot. It requires you to connect your N900 to your PC in no-mode (no pc-suite, no storage-mode).
 * The included Windows driver is not designed for PC-Suite mode. It is for the g_ether module which is used by Mad Developper and qtmobilehotspot.
 * The included g_ether driver for Windows has not been tested against all versions ! Tested architectures are so far : XP-x86, W7-x64.
 * Disabling Wifi power-saving is done by editing the saved connection (as if you disabled it manually in the hildon control-panel).
 * Power-saving is restored when the hotspot is stopped. If you do not stop it properly, the default power-saving setting will become 'disabled'. You can change it back to Maximal by using the hildon control-panel.
 * Wifi power-saving disabling is supposed not to have any interesting effect on Ad-Hoc Wifi.
 * The network automatic scan is also disabled when the hotspot is started. If you do not stop the hotspot correctly, the scan will become disabled by default. You can get it back using hildon control-panel.
 .
 Available languages : EN, FR
 Credits : Eero af Heurlin for the first MobileHotSpot & Robin Lundgren for the icon
 Want to debug / understand something : run /opt/qtmobilehotspot/util/start.sh in a user terminal (prepare for onscreen spam thought)
XSBC-Bugtracker:
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
 b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
 i4AUkSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OI
 isr74Xuja9a89+bN/rXXPues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQu
 QIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgABeNMLCADATZvAMByH/w/qQplc
 AYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAtAGAnf+bT
 AICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJ
 V2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcq
 AAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wA
 AKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+5c+rcEAAAOF0ftH+LC+z
 GoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk5NhK
 xEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc
 5o9H/LcL//wd0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+
 3zUAsGo+AXuRLahdYwP2SycQWHTA4vcAAPK7b8HUKAgDgGiD4c93/+8//Ueg
 JQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzABhzBBdzBC/xgNoRC
 JMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgx
 UopUIFVIHfI9cgI5h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQ
 ZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+Q8cwwOgYBzPEbDAuxsNCsTgsCZNj
 y7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhMWE7YSKggHCQ0
 EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMy
 J7mQAkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPk
 G+Qh8lsKnWJAcaT4U+IoUspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2h
 tlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdpr+h0uhHdlR5Ol9BX0svpR+iX
 6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZD5lvVVgq
 tip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtV
 qp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gs
 IWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0
 TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllirSKtRq0frvTau7aedpr1F
 u1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79up+6Y
 nr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb
 8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN
 7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x1zLnm+eb15vft2BaeFostqi2uGVJ
 suRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lOk06rntZnw7Dxtsm2
 qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJ
 S4LLLpc+Lpsbxt3IveRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nyme
 WTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+BZ7XnIy9jL5FXrdewt6V3qvdh7xc+
 9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/0QCngCUBZwOJ
 gUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jO
 kc5pDoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE
 3ptnMU85ry1KNSo+qi5qPNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/8
 7fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIsOpZATIhOOJTwQRAqqBaMJfIT
 dyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5hCepkLxM
 DUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8e
 lQfJa7OQrAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zv
 n//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vt
 V5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1dT1gvWd+1YfqGnRs+FYmK
 rhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aXDm4N
 2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLd
 tWHX+G7R7ht7vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvtt
 Xa1ObXHtxwPSA/0HIw6217nU1R3SPVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG
 4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKaRptTmvtbYlu6T8w+
 0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7
 nLuarrlca7nuer21e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+
 cif9zsu72Xcn7q28T7xf9EDtQdlD3YfVP1v+3Njv3H9qwHeg89HcR/cGhYPP
 /pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i/suuFxYvfvjV
 69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98P
 T+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAGYktHRAD/AP8A/6C9
 p5MAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfbCRcONBtPIlwKAAAK
 TklEQVRo3sVaW2xUZR7/fXPptB16AXqhaOvacOsDkGYBE8nuGuIGiYbEGCGy
 GlZjoiaUBzeSgGvCsuVps8YHu4HEKMmyWYMgD0bA0sKi3G3BDtSmpaXqdDq9
 TJlpO5fOzDn/3z54TnMYe8bexC/5MpOZ73z/+/0Ac1wkZ/2siMwVPBTmaYlI
 HoCVSqnfkCxXShUCcFgIHFdKhQD4SXY6HI57VkIcDgceyCJ5H9dF5I8i8h8R
 +V5EIiISFxFNREiSImJuneQEyVGSARE5JSJ/yrjrl0XcAshL8iUR6eLUSyeZ
 Ipm0bN3m7IiI7BWRpSaMmailmi7ySimQdAL4M4DdJNcAgFKTV4S7u7sDra2t
 Ob29vQWRSASapmkA4HA4VEFBgbuqqipaW1sbX7NmzWIASzOQDQD4F4BDVvWa
 D902PytJfiUiaVMtSDKVSnW+8cYbjQ899NBIfn5+DEAcQBqAZGwNQMLj8cTK
 y8vHt2zZcmlkZORrq5qR1EWkh+Tjc3UQ9+kjyfUi0m8iTTI9MjISee65504D
 CAOgscXy3W5bz2jLly9vHBwc/E7TtLRJDMmUiGwXETVnQki+LCIxC/L39u3b
 9y2AH2aIeDZCwi+++GK7rut3MyRy0CRiVgYrIjtJWpFvKy0t9RvqMFvE7QjR
 CgsLw21tbc0WSWgiclBE1LSlYPEEvyU5biJ/+fLlLgDReUTcjpDkyZMnb1qI
 oIjsmKnBlhu+miR57dq17tzc3MgviHzmDp04ccJKhE7yD9O2BxE5b3n4NoCJ
 B4j8pCR8Pp9VnXpJlkxHdXaISNLQ+WhxcXHiASJ/3y4oKBjTNO2ugYuQrCep
 pozYIgKS+SJyzXSVe/fu/QGA/msgb8DUn3/++XZN01KGZxoguTSb6jxjimxo
 aEgDMDYNFyjzoC7Z7hobGBjwWwy63jZvEpFL5sFXXnnlepZL9dWrV/sWLVo0
 MFdO5+fn31u/fn0LgKQdgcuXL2+0xIeEiLimsoEai8EEAaTsgK5bt66LZNzv
 93cbOcxsCRhpaWnpJJl+8sknO7JIUwsGg9ctCeCrk3ZrMd4DJvd37979jZ2I
 3W534uLFiz6S7OnpuWmJDbNJJdKBQOAzkrxw4YLP5XIl7NRq06ZNVywEfDmV
 +tww85Cqqqq4HQKrV69uJ5nWdV127NjxEgBu3769ubKysnOK8ykAiczfCwsL
 +7Zv337OcM99IhIimVqzZo3PDm55eXmcpN/QkiGSS6zqU0FyiCTj8fj3ixYt
 mrDj5rZt286R5OHDh88A4GuvvXaaZDwajfoBTNpESUnJ3fr6+jsffPBBd01N
 TbfljkR7e3srSW7evPkOAD777LOXSfLNN988bSc1j8cTbWlp8RkEjJH8nZWA
 x4xKiZ9++qnf6XRO2In+2LFjp0nKqlWrOgGk33333T6S/PDDDy+YZysqKtrT
 6XSApGYAHK6urv7a/H///v1fGM/0AkhWVVUFSY52dnY2Z1HFxEcffXTHUKEk
 yR0A4DAIWAzABQB+v9+r67rTrvjZunVrMYDB0dHREgBaeXl5DADefvvtlHEu
 FggEYi6XaylJB380spKenh4vgBEA2L9/fxkAlpaWpp1Opx6JRIqCweDoihUr
 HgYwalNoufv6+ooACEmXGZUdRlVVAMAJgLFYzJWlUkt7PB43gEQqlcrPycnR
 q6urUwBSwWCw0jjToZRaT5LKWAYHa5YsWfKNcWYJgMGKigrldruRSqUQDAaT
 AAoAxGxgO8bHx9MAdKWUA0DeJAEZxpwtWzLPO5RSFBEkk0kAcBsGCQCFhvH+
 hAnhcDjP+KoByEmlUhQRKKXgdDqVEfVddsB1Xdd/VBhOlrKOzFzI7XanDY79
 JFQAcLa1tUUAFObl5Y1pmubq6uryAlBr164dMM6taGhoOK+UmrxDKaVu3br1
 VTKZfAwAcnNzAwAW9fb2OlOplMrLy2N1dXW+iPQDWJgt28/E17SBpFJKAKjF
 ixfHDE5MaQNHjhzRACwsLS0NAPCcP38+STJ96NChR4yYgLq6uo319fW+ZDKZ
 0jQtffTo0du1tbWrDDVNnThxIgeANDU1KQC5RUVFwwUFBSVHjx4NGdKcioHi
